/// <reference types="node" />
import { IncomingMessage } from 'http';
export declare const MutationAtomicityHeaderName = "x-mutation-atomicity";
export declare enum MutationAtomicityHeaderValue {
    ON = "on",
    OFF = "off"
}
export interface AtomicMutationRequest extends IncomingMessage {
    mutationAtomicityContext: MutationAtomicityContext;
}
export declare type MutationAtomicityContext = {
    totalMutations: number;
    executedMutations: {
        hasErrors: boolean;
    }[];
};
export declare const getMutationAtomicityContext: (req: any) => MutationAtomicityContext;
export declare const AtomicMutationsHook: {
    "postgraphile:httpParamsList"(paramsList: any[], { req }: {
        req: any;
    }): any[];
};
export declare const AtomicMutationsPlugin: import("postgraphile").Plugin;
//# sourceMappingURL=atomic-mutations-plugin.d.ts.map