"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const atomic_mutations_plugin_1 = require("./atomic-mutations-plugin");
const reqWithHeaderOff = {
    headers: { [atomic_mutations_plugin_1.MutationAtomicityHeaderName]: atomic_mutations_plugin_1.MutationAtomicityHeaderValue.OFF },
    mutationAtomicityContext: {
        totalMutations: 1,
        executedMutations: [{ hasErrors: false }],
    },
};
const reqWithoutHeader = {
    headers: {},
    mutationAtomicityContext: {
        totalMutations: 1,
        executedMutations: [{ hasErrors: false }],
    },
};
const reqMutationWithErrors = {
    headers: { [atomic_mutations_plugin_1.MutationAtomicityHeaderName]: atomic_mutations_plugin_1.MutationAtomicityHeaderValue.ON },
    mutationAtomicityContext: {
        totalMutations: 1,
        executedMutations: [{ hasErrors: false }],
    },
};
const reqMutationWithoutErrors = {
    headers: { [atomic_mutations_plugin_1.MutationAtomicityHeaderName]: atomic_mutations_plugin_1.MutationAtomicityHeaderValue.ON },
    mutationAtomicityContext: {
        totalMutations: 1,
        executedMutations: [{ hasErrors: false }],
    },
};
test('retrieve mutationAtomicityContext - reqMutationWithErrors', () => {
    const mutationAtomicityContext = atomic_mutations_plugin_1.getMutationAtomicityContext(reqMutationWithErrors);
    expect(mutationAtomicityContext).toBeTruthy();
});
test('retrieve mutationAtomicityContext - reqMutationWithoutErrors', () => {
    const mutationAtomicityContext = atomic_mutations_plugin_1.getMutationAtomicityContext(reqMutationWithoutErrors);
    expect(mutationAtomicityContext).toBeTruthy();
});
test('MutationAtomicityHeaderName - OFF', () => {
    const mutationAtomicityContext = atomic_mutations_plugin_1.getMutationAtomicityContext(reqWithHeaderOff);
    expect(mutationAtomicityContext).toBeFalsy();
});
test('MutationAtomicityHeaderName - Missing', () => {
    const mutationAtomicityContext = atomic_mutations_plugin_1.getMutationAtomicityContext(reqWithoutHeader);
    expect(mutationAtomicityContext).toBeFalsy();
});
